Railz Connect is only supported using the latest version of Google Chrome, Safari, Firefox and Microsoft Edge. If you have issues using Railz Connect in other browsers, please try again using one of our supported browsers.

Did this answer your question?